import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'home_controller.dart';

class HomePage extends GetView<HomeController> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('HomePage'),
        centerTitle: true,
      ),
      body: Column(
        children: [
          Text(
            'HomePage is working',
            style: TextStyle(fontSize: 20),
          ),
          Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              MaterialButton(
                onPressed: () {
                  Get.toNamed(
                      "/maps"); //Bu fonksiyon ile birlikte belirtilen yeni sayfaya gidilir.
                },
                child: Text("Haritaya gidin"),
              ),
            ],
          )
        ],
      ),
    );
  }
}
